Subject: bug#52509: 27.2; `call-process-region' won't accept nil as START argument

From: Eli Zaretskii <[email-masked]>
Date: Wed, 15 Dec 2021 16:24:47 +0200

> Date: Wed, 15 Dec 2021 18:59:59 +0800
> From: LdBeth <[email-masked]>
> 
> Debugger entered--Lisp error: (wrong-type-argument integer-or-marker-p nil)
>   call-process-region(nil 0 "/bin/cat" t t)
>   this-wont()
>   eval((this-wont) t)
>   eval-expression((this-wont) nil nil 127)
>   funcall-interactively(eval-expression (this-wont) nil nil 127)
>   call-interactively(eval-expression nil nil)
>   command-execute(eval-expression)
> ```
> 
> While if my understanding to the docstring is right, these two should
> give identical effect.
> 
> The Emacs version I'm using is 27.2, however I suspect this can also
> be reproduced in master branch.

I can reproduce this in Emacs 27, but not in Emacs 28.  So I guess
this has been fixed meanwhile.